//******************************************************************************
///
/// @file parser/_directivewords.h
///
/// This header file contains static character string arrays used primarily to
/// drive documentation associated with the povr fork of POV-Ray. The arrays are
/// used in the final executable to provide for scene description language (SDL)
/// functions word_is() and word_get(). The active function names array is used
/// with the 'no lower case, user identifier' checking if the executable is
/// compiled with that option (NO_LC_USER_IDENTIFIERS).
///
/// The arrays are maintained in several files in total:
///     _directivewords.h, _fakebyfnctwords.h, _fnnames.h, _keywords.h,
///     _oddwords.h and _optionnames.h.
///
/// @copyright
/// @parblock
///
/// Persistence of Vision Ray Tracer ('POV-Ray') version 3.8.
/// Copyright 1991-2023 Persistence of Vision Raytracer Pty. Ltd.
///
/// POV-Ray is free software: you can redistribute it and/or modify
/// it under the terms of the GNU Affero General Public License as
/// published by the Free Software Foundation, either version 3 of the
/// License, or (at your option) any later version.
///
/// POV-Ray is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU Affero General Public License for more details.
///
/// You should have received a copy of the GNU Affero General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.
///
/// ----------------------------------------------------------------------------
///
/// POV-Ray is based on the popular DKB raytracer version 2.12.
/// DKBTrace was originally written by David K. Buck.
/// DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
///
/// @endparblock
///
//------------------------------------------------------------------------------
// SPDX-License-Identifier: AGPL-3.0-or-later
//******************************************************************************

#ifndef POVRAY_PARSER__DIRECTIVEWORDS_H
#define POVRAY_PARSER__DIRECTIVEWORDS_H

static char iDirectiveWords[][26] { "!#", "#break", "#case", "#debug", "#declare", "#else", "#elseif", "#end", "#error",
    "#fclose", "#fopen", "#for", "#if", "#ifdef", "#ifndef", "#include", "#local", "#macro", "#range", "#read",
    "#switch", "#undef", "#version", "#warning", "#while", "#write" };

static char oDirectiveWords[][26] { "!#", "#render", "#statistics" };

static char nDirectiveWords[][26] { "!#" };

#endif // POVRAY_PARSER__DIRECTIVEWORDS_H
